import { Field } from '@kano/kwc-blockly/blockly.js';
import '@kano/styles/color.js';
import '@kano/styles/typography.js';
import '../components/kc-sample-picker.js';
import { IItemData } from '../../../../blockly/fields/stamps-field.js';
export declare class FieldSample extends Field {
    private domNode;
    private legacyIdMap;
    private label;
    private items;
    constructor(value: string, items: IItemData[], legacyIdMap: Map<string, string>, optValidator?: () => void);
    render_(): void;
    showEditor_(): void;
    position(): void;
    getDisplayText_(): string;
    legacyValueCheck(value: string): void;
    setLegacyIdMap(map: Map<string, string>): void;
    getOptions(): IItemData[];
    getItemForValue(value: string): {
        id: string;
        label: string;
        src: string;
    } | null;
    getLabelFromValue(value: string): string;
    setLabel(label: string): void;
    getLabel(): string;
    static widgetDispose_(): void;
}
